SDL_AtomicSetPtr(3)

NAME
SDL_AtomicSetPtr - Set a pointer to a value atomically.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

void* SDL_AtomicSetPtr(void **a, void* v);

DESCRIPTION
Note: If you don't know what this function is for, you shouldn't use it!

FUNCTION PARAMETERS

a   a pointer to a pointer

v   the desired pointer value

RETURN VALUE
Returns the previous value of the pointer.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_AtomicCompareAndSwapPointer(3), SDL_AtomicGetPtr(3)